/*
 * listvoodoo.c, (c) 2002 John Clemens
 * Distributed under the terms and conditions of the GNU GPL.
 *
 * Command line utility to list information about Voodoo cards.
 */

#include <stdio.h>
#include <voodoo.h>

int main(void) 
{
	struct voodoo_info *v, *t1;
	int i;

	v = voodoo_probe();
	
	i = 0;
	t1 = v;
	while(t1) {
		printf("Card #%d: Found Voodoo: %s\n",i,t1->name);
		printf("MSize = %dMB MMIO = 0x%08x core = %dMhz mem = %dMhz\n",
				t1->memory_size >> 21, t1->mmio_addr, 
				t1->gfx_speed, t1->memory_speed);
		t1 = t1->next;
		i++;
	}	
	
	voodoo_cleanup(v);

	return 0;
}
